## php.java.bridge.http
Class ContextServer

    java.lang.Object
      php.java.bridge.http.ContextServer

    public class ContextServer

extends java.lang.Object

Author:
  jostb

Nested Class Summary
`class` `ContextServer.ChannelName`

Constructor Summary
`ContextServer(ThreadPool pool)`

Method Summary
`void` `destroy()`
`ContextServer.ChannelName` `getFallbackChannelName(java.lang.String channelName)`
`boolean` `getNext()` Get the next runnable
`boolean` `isAvailable()`
`void` `schedule()` Add a runnable to the queue.
`void` `start(ContextServer.ChannelName channelName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextServer

    public ContextServer(ThreadPool pool)

Method Detail

### getNext

    public final boolean getNext()

  Get the next runnable

  Returns:
    True if there is a runnable in the queue, false otherwise.

### schedule

    public final void schedule()

  Add a runnable to the queue.

  See Also:
    `getNext()`

### destroy

    public void destroy()

### isAvailable

    public boolean isAvailable()

### start

    public void start(ContextServer.ChannelName channelName)

### getFallbackChannelName

    public ContextServer.ChannelName getFallbackChannelName(java.lang.String channelName)